#!/usr/bin/env python

class SpacingConstraints:
    def __init__(self):
        self.WtcSpacing = {}
        self.WtcSpacing['L'] = {}
        self.WtcSpacing['M'] = {}
        self.WtcSpacing['H'] = {}
        self.WtcSpacing['J'] = {}

        self.WtcSpacing['L']['L'] = 3.0
        self.WtcSpacing['L']['M'] = 3.0
        self.WtcSpacing['L']['H'] = 3.0
        self.WtcSpacing['L']['J'] = 3.0
        self.WtcSpacing['M']['L'] = 5.0
        self.WtcSpacing['M']['M'] = 3.0
        self.WtcSpacing['M']['H'] = 3.0
        self.WtcSpacing['M']['J'] = 3.0
        self.WtcSpacing['H']['L'] = 6.0
        self.WtcSpacing['H']['M'] = 5.0
        self.WtcSpacing['H']['H'] = 4.0
        self.WtcSpacing['H']['J'] = 4.0
        self.WtcSpacing['J']['L'] = 8.0
        self.WtcSpacing['J']['M'] = 7.0
        self.WtcSpacing['J']['H'] = 6.0
        self.WtcSpacing['J']['J'] = 6.0

        self.RecatSpacing = {}
        self.RecatSpacing['A'] = {}
        self.RecatSpacing['B'] = {}
        self.RecatSpacing['C'] = {}
        self.RecatSpacing['D'] = {}
        self.RecatSpacing['E'] = {}
        self.RecatSpacing['F'] = {}

        self.RecatSpacing['A']['A'] = 3.0
        self.RecatSpacing['A']['B'] = 3.0
        self.RecatSpacing['A']['C'] = 3.0
        self.RecatSpacing['A']['D'] = 3.0
        self.RecatSpacing['A']['E'] = 3.0
        self.RecatSpacing['A']['F'] = 3.0
        self.RecatSpacing['B']['A'] = 4.0
        self.RecatSpacing['B']['B'] = 4.0
        self.RecatSpacing['B']['C'] = 4.0
        self.RecatSpacing['B']['D'] = 4.0
        self.RecatSpacing['B']['E'] = 4.0
        self.RecatSpacing['B']['F'] = 4.0
        self.RecatSpacing['C']['A'] = 5.0
        self.RecatSpacing['C']['B'] = 5.0
        self.RecatSpacing['C']['C'] = 5.0
        self.RecatSpacing['C']['D'] = 5.0
        self.RecatSpacing['C']['E'] = 5.0
        self.RecatSpacing['C']['F'] = 5.0
        self.RecatSpacing['D']['A'] = 6.0
        self.RecatSpacing['D']['B'] = 4.0
        self.RecatSpacing['D']['C'] = 3.0
        self.RecatSpacing['D']['D'] = 3.0
        self.RecatSpacing['D']['E'] = 2.5
        self.RecatSpacing['D']['F'] = 2.5
        self.RecatSpacing['E']['A'] = 7.0
        self.RecatSpacing['E']['B'] = 5.0
        self.RecatSpacing['E']['C'] = 4.0
        self.RecatSpacing['E']['D'] = 4.0
        self.RecatSpacing['E']['E'] = 3.0
        self.RecatSpacing['E']['F'] = 3.0
        self.RecatSpacing['F']['A'] = 8.0
        self.RecatSpacing['F']['B'] = 6.0
        self.RecatSpacing['F']['C'] = 5.0
        self.RecatSpacing['F']['D'] = 5.0
        self.RecatSpacing['F']['E'] = 4.0
        self.RecatSpacing['F']['F'] = 3.0
